%global date 20110214
%global commitcount 1049
%global githash git089726a

Name:		vim-latex
Version:	1.8.23
Release:	6.%{date}.%{commitcount}.%{githash}%{?dist}
Summary:	Tools to view, edit and compile LaTeX documents in Vim
Group:		Applications/Editors
# According to doc/latex-suite license is Vim charityware license
License:	Vim
URL:		http://vim-latex.sourceforge.net/
Source0:	http://downloads.sourceforge.net/vim-latex/vim-latex-%{version}-%{date}.%{commitcount}-%{githash}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch

# We need vim-common for dir ownership
Requires:	vim-common
# Needed for compilation (duh)
Requires:	tex(latex)
# Needed for display
Requires:	xdvi

# needed to build documentation
BuildRequires:	libxslt
BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-dtds

%description
A comprehensive set of tools to view, edit and compile LaTeX documents without
needing to ever quit Vim. Together, they provide tools starting from macros to
speed up editing LaTeX documents to compiling TeX files to forward searching
.dvi documents.

%package doc
Summary:	Documentation for vim-latex
Group:		Documentation

%description doc
Documentation for vim-latex.

%prep
%setup -q -n %{name}-%{version}-%{date}.%{commitcount}-%{githash}

%build
# build documentation
make -C doc

%install
rm -rf %{buildroot}
# Install files
make install DESTDIR=%{buildroot} VIMDIR=%{_datadir}/vim/vimfiles BINDIR=%{_bindir}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/latextags
%{_bindir}/ltags
%{_datadir}/vim/vimfiles/compiler/tex.vim
%doc %{_datadir}/vim/vimfiles/doc/imaps.txt
%doc %{_datadir}/vim/vimfiles/doc/latex*.txt
%{_datadir}/vim/vimfiles/ftplugin/bib_latexSuite.vim
%{_datadir}/vim/vimfiles/ftplugin/tex_latexSuite.vim
%{_datadir}/vim/vimfiles/ftplugin/latex-suite/
%{_datadir}/vim/vimfiles/indent/tex.vim
%{_datadir}/vim/vimfiles/plugin/SyntaxFolds.vim
%{_datadir}/vim/vimfiles/plugin/filebrowser.vim
%{_datadir}/vim/vimfiles/plugin/imaps.vim
%{_datadir}/vim/vimfiles/plugin/libList.vim
%{_datadir}/vim/vimfiles/plugin/remoteOpen.vim


%files doc
%defattr(-,root,root,-)
%doc doc/latex-suite doc/latex-suite-quickstart


%changelog
* Sun Jan 15 2012 Mario Santagiuliana <mario@marionline.it> - 1.8.23-6.20110214.1049-git089726a
- Fix my changelog: date error reporting

* Thu Dec 29 2011 Mario Santagiuliana <mario@marionline.it> - 1.8.23-5.20110214.1049-git089726a
- Review spec file
- Fix changelog error

* Fri Oct 28 2011 Mario Santagiuliana <mario@marionline.it> - 1.8.23-4.20110214.1049-git089726a
- Review spec file

* Mon Feb 14 2011 Till Maas <opensource@till.name> - 1.8.23-3.20110214.1049.git089726a
- Update to new release
- Adjust to new upstream snapshot schema
- build documentation, that is not included in upstream snapshot anymore

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.23-2.20101027.r1112
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 01 2010 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.8.23-1.20101027.r1112
- Update to 20101027-r1112.

* Sat Jan 30 2010 Till Maas <opensource@till.name> - 1.8.23-1.20100129.r1104
- Update to new release

* Thu Dec 31 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.8.23-1.20091230.r1079
- Update to 20091230-r1079.

* Fri Oct 09 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.5-3.20091002.r1074
- Use make install instead of manual install.

* Thu Oct 08 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.5-2.20091002.r1074
- Update to 20091002-r1074.

* Thu Oct 08 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.5-2.20090901.r1069
- Added missing Requires: tex(latex) and xdvi.

* Mon Sep 28 2009 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.5-1.20090901.r1069
- First release.
